let rescan f char_start char_end = 
  let fileChannel = open_in filename in
  let line_count = ref 0 in
  let offset_count = ref 0 in
  let scanline() = 
    let s = input_line fileChannel in
    let new_offset = !offset_count + (String.length s) + 1 in
    begin
      line_count := (!line_count) + 1;
      if char_start <= (!offset_count) then (!line_count,
  
    
  
